Mail archive
alpine-aports

[alpine-aports] [PATCH 14/15] testing/perl-uri-escape: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 12 Dec 2015 12:25:25 +0000

---
 testing/perl-uri-escape/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-uri-escape/APKBUILD
diff --git a/testing/perl-uri-escape/APKBUILD b/testing/perl-uri-escape/APKBUILD
new file mode 100644
index 0000000..c55aae1
--- /dev/null
+++ b/testing/perl-uri-escape/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-uri-escape
+pkgver=1.69
+_realname=URI-$pkgver
+pkgrel=0
+pkgdesc="Percent-encode and percent-decode unsafe characters"
+url="http://search.cpan.org/dist/URI/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="3c56aee0300bce5a440ccbd558277ea0  URI-1.69.tar.gz"
+sha256sums="b74b16ea626b6f8061821bb350674c638a98be1fc766eadb24fec6635998b42d  URI-1.69.tar.gz"
+sha512sums="4e58cd450c58be4c3e0254c8e53bd0b4d3516468efb466c933343efc12191856bfc6c0d5c3de3b523e66d4930c2426f0089d5cd9ece7b4a5b8aff0a9596064cc  URI-1.69.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 12 2015 - 12:25:25 GMT